// Kubejs scripts for enderIO

ServerEvents.recipes(event => {

// Quantised Infinity Grains
event.custom({
  "type": "enderio:alloy_smelting",
  "energy": 5000,
  "experience": 0.3,
  "inputs": [
    {
      "count": 4,
      "ingredient": {
        "item": "enderio:grains_of_infinity"
      }
    },
    {
      "count": 4,
      "ingredient": {
        "item": "projecte:medium_covalence_dust"
      }
    },
    {
      "count": 1,
      "ingredient": {
        "item": "minecraft:ender_pearl"
      }
    }
  ],
  "result": {
    "item": "kubejs:emc_grains_of_infinity"
  }
})

// Custom Capacitors
event.shaped(
  Item.of('custom_capacitors:tier4_capacitor'),
  [
    ' a ',
    'bcb',
    ' a '
  ],
  {
    a: '#forge:ingots/end_steel',
    b: 'enderio:octadic_capacitor',
	c: 'enderio:vibrant_powder'
  }
)

event.shaped(
  Item.of('custom_capacitors:tier5_capacitor'),
  [
    ' a ',
    'bcb',
    ' a '
  ],
  {
    a: 'minecraft:nether_star',
    b: 'custom_capacitors:tier4_capacitor',
	c: '#kubejs:prismatter'
  }
)

})